<? $colspan = 8;?>
<? include(G5_PATH."/gnu_lib/guest.php");?>
<? include_once(G5_PATH."/lib/outlogin.lib.php"); // outlogin() 함수를 사용하여야 하므로 이 프로그램을 포함시킵니다.?>
<? include_once(G5_PATH."/lib/latest.lib.php"); // outlogin() 함수를 사용하여야 하므로 이 프로그램을 포함시킵니다.?>
<!-- 게시판 목록 시작 -->
<table width="<?=$width?>" align="center" cellpadding="0" cellspacing="0">
    <tr>
	<td width=80%  valign=top>

	<form name="fwrite" method="post" onsubmit="return fwrite_submit(this);" enctype="multipart/form-data" style="margin:0px;">
<input type=hidden name=bo_table value="<?=$bo_table?>">
<input type=hidden name=job value="<?=$job?>">

</form>

  <form name="fboardlist" method="post">
    <input type='hidden' name='bo_table' value='<?=$bo_table?>'>
    <input type='hidden' name='sfl'  value='<?=$sfl?>'>
    <input type='hidden' name='stx'  value='<?=$stx?>'>
    <input type='hidden' name='spt'  value='<?=$spt?>'>
    <input type='hidden' name='page' value='<?=$page?>'>
    <input type='hidden' name='sw'   value=''>


    <table cellspacing="0" cellpadding="0" class="board_list">
    <col width="40" />


    <col width="50" />
    <col />

	    <col width="120" />
    <col width="100" />
    <col width="60" />
    <col width="80" />
    <col width="60" />


    <tr>
        <th>번호</th>

        <th><?=subject_sort_link('wr_1', $qstr2, 1)?>장르</th>
        <th><?=subject_sort_link('wr_subject', $qstr2, 1)?>도 서 명</th>
        <th><?=subject_sort_link('wr_2', $qstr2, 1)?>작 가</a></th>

        <th><?=subject_sort_link('wr_3', $qstr2, 1)?>출판사</a></th>
        <th><?=subject_sort_link('wr_7', $qstr2, 1)?>출판일</a></th>
        <th><?=subject_sort_link('wr_6', $qstr2, 1)?>위치</a></th>
        <th>상태</th>


    </tr>

    <? 
    for ($i=0; $i<count($list); $i++) { 
        $bg = $i%2 ? 0 : 1;


		$query5 = "select wr_subject from g5_write_library where wr_1 = '$wr_1' ";
		$result5 = sql_query($query5);
		while($row  = sql_fetch_array($result5)) {
			$project[$i] = $row[wr_subject]; //parts
		}
    ?>

    <tr class="bg<?=$bg?>"> 
        <td class="num">
            <? 
            if ($list[$i][is_notice]) // 공지사항 
                echo "<b>공지</b>";
            else if ($wr_id == $list[$i][wr_id]) // 현재위치
                echo "<span class='current'>{$list[$i][num]}</span>";
            else
                echo $list[$i][num];
            ?>
        </td>
        <? if ($is_checkbox) { ?><td class="checkbox"><input type=checkbox name=chk_wr_id[] value="<?=$list[$i][wr_id]?>"></td><? } ?>
		        <td  class=datetime><?=$list[$i][wr_5]?></td>
        <td class="subject">
            <? 
            echo $nobr_begin;
            echo $list[$i][reply];
            echo $list[$i][icon_reply];
            if ($is_category && $list[$i][ca_name]) { 
                echo "<span class=small><font color=gray>[<a href='{$list[$i][ca_name_href]}'>{$list[$i][ca_name]}</a>]</font></span> ";
            }

            if ($list[$i][is_notice])
                echo "<a href='{$list[$i][href]}'><span class='notice'>{$list[$i][subject]}</span></a>";
            else
		    echo "<a href='./board.php?bo_table=books&wr_id={$list[$i][wr_id]}'>{$list[$i][subject]}</a>";
        //        echo "{$list[$i][subject]}";

            

            // if ($list[$i]['link']['count']) { echo "[{$list[$i]['link']['count']}]"; }
            // if ($list[$i]['file']['count']) { echo "<{$list[$i]['file']['count']}>"; }

            echo " " . $list[$i][icon_new];
           
            echo $nobr_end;
            ?>
        </td>
        <td  class=datetime><?=$list[$i][wr_2]?></td>
        <td  class=datetime><?=$list[$i][wr_3]?></td>
        <td class=datetime><?=$list[$i][wr_7]?></td>
        <td class=subject><?=$list[$i][wr_6]?></td>
        <td ><?=$list[$i][wr_4]?></td>

      
    </tr>
    <? } // end for ?>

    <? if (count($list) == 0) { echo "<tr><td colspan='$colspan' height=100 align=center>등록된 도서가 없습니다.</td></tr>"; } ?>

    </table>	
    </form>

    <div class="board_button">
        <div style="float:left;">
        <? if ($list_href) { ?>
        <a href="<?=$list_href?>"><img src="<?php echo $board_skin_url ?>/img/btn_list.gif" align="absmiddle" border='0'></a>
        <? } ?>
        <? if ($is_checkbox) { ?>
        <a href="javascript:select_delete();"><img src="<?php echo $board_skin_url ?>/img/btn_select_delete.gif" align="absmiddle" border='0'></a>
       
        <? } ?>
        </div>

        
    </div>

    <!-- 페이지 -->
    <div class="board_page">
        <? if ($prev_part_href) { echo "<a href='$prev_part_href'><img src='$board_skin_path/img/page_search_prev.gif' border='0' align=absmiddle title='이전검색'></a>"; } ?>
        <?
        // 기본으로 넘어오는 페이지를 아래와 같이 변환하여 이미지로도 출력할 수 있습니다.
        //echo $write_pages;
        $write_pages = str_replace("처음", "<img src='$board_skin_path/img/page_begin.gif' border='0' align='absmiddle' title='처음'>", $write_pages);
        $write_pages = str_replace("이전", "<img src='$board_skin_path/img/page_prev.gif' border='0' align='absmiddle' title='이전'>", $write_pages);
        $write_pages = str_replace("다음", "<img src='$board_skin_path/img/page_next.gif' border='0' align='absmiddle' title='다음'>", $write_pages);
        $write_pages = str_replace("맨끝", "<img src='$board_skin_path/img/page_end.gif' border='0' align='absmiddle' title='맨끝'>", $write_pages);
        //$write_pages = preg_replace("/<span>([0-9]*)<\/span>/", "$1", $write_pages);
        $write_pages = preg_replace("/<b>([0-9]*)<\/b>/", "<b><span style=\"color:#4D6185; font-size:12px; text-decoration:underline;\">$1</span></b>", $write_pages);
        ?>
        <?=$write_pages?>
        <? if ($next_part_href) { echo "<a href='$next_part_href'><img src='$board_skin_path/img/page_search_next.gif' border='0' align=absmiddle title='다음검색'></a>"; } ?>
    </div>

    <!-- 검색 -->
    <div class="board_search" style='position:absolute; left:70%; top:10px; width:250; height:75px; z-index:1;'>
        <form name="fsearch" method="get">
        <input type="hidden" name="bo_table" value="<?=$bo_table?>">
        <input type="hidden" name="sca"      value="<?=$sca?>">
        <select name="sfl">
            <option value="wr_subject">도서명</option>
            <option value="wr_2">작가</option>
            <option value="wr_1">코드</option>
            <option value="wr_5">상태</option>

        </select>
        <input name="stx" class="stx" maxlength="15" itemname="검색어" required value='<?=stripslashes($stx)?>'>
        <input type="image" src="<?php echo $board_skin_url ?>/img/btn_search.gif" border='0' align="absmiddle">
      
        </form>
    </div>
<td width=1%></td>
<td width=19%  align=center valign=top><table border="1" cellspacing="0" cellpadding="3" bordercolor="#999999" style="border-collapse:collapse;" rules="none">
<tr><td  align=center><? echo outlogin("lib_member");?></td></tr>
<tr>
	<td align=center valign=top><?=latest("lib_latest", "recommend", 5, 70);?></td>
</tr>
<tr>
	<td align=center valign=top><?=latest("lib_latest", "free", 5, 70);?></td>
</tr>
<tr>
	<td align=center valign=top><?=latest("lib_latest", "request", 5, 70);?></td>
</tr>
</table></td></tr></table>

<script type="text/javascript">
if ('<?=$sca?>') document.fcategory.sca.value = '<?=$sca?>';
if ('<?=$stx?>') {
    document.fsearch.sfl.value = '<?=$sfl?>';

    if ('<?=$sop?>' == 'and') 
        document.fsearch.sop[0].checked = true;

    if ('<?=$sop?>' == 'or')
        document.fsearch.sop[1].checked = true;
} else {
    document.fsearch.sop[0].checked = true;
}
</script>
<script type="text/javascript">
function fwrite_submit(f)
{
    f.action = "<?=$g4[path]?>/gnu_lib/apply.php";
    f.submit();
}
</script>
<? if($job == "return") { ?>
<script type="text/javascript">
with (document.fwrite) 
{

    if (typeof(book_return) != "undefined")
        book_return.focus();
	
    else if (typeof(wr_9) != "undefined")
        wr_9.focus();
    else if (typeof(wr_10) != "undefined")
        wr_10.focus();

    if (typeof(ca_name) != "undefined")
        if (w.value == "u")
            ca_name.value = "<?=$write[ca_name]?>";
}
</script>
<? } ?>
<? if($job == "lend" || $job == "") { ?>
<script type="text/javascript">
with (document.fwrite) 
{

    if (typeof(book_lend) != "undefined")
        book_lend.focus();
	
    else if (typeof(wr_9) != "undefined")
        wr_9.focus();
    else if (typeof(wr_10) != "undefined")
        wr_10.focus();

    if (typeof(ca_name) != "undefined")
        if (w.value == "u")
            ca_name.value = "<?=$write[ca_name]?>";
}
</script>
<? } ?>
<? if ($is_checkbox) { ?>
<script type="text/javascript">
function all_checked(sw) {
    var f = document.fboardlist;

    for (var i=0; i<f.length; i++) {
        if (f.elements[i].name == "chk_wr_id[]")
            f.elements[i].checked = sw;
    }
}

function check_confirm(str) {
    var f = document.fboardlist;
    var chk_count = 0;

    for (var i=0; i<f.length; i++) {
        if (f.elements[i].name == "chk_wr_id[]" && f.elements[i].checked)
            chk_count++;
    }

    if (!chk_count) {
        alert(str + "할 게시물을 하나 이상 선택하세요.");
        return false;
    }
    return true;
}

// 선택한 게시물 삭제
function select_delete() {
    var f = document.fboardlist;

    str = "삭제";
    if (!check_confirm(str))
        return;

    if (!confirm("선택한 게시물을 정말 "+str+" 하시겠습니까?\n\n한번 "+str+"한 자료는 복구할 수 없습니다"))
        return;

    f.action = "./delete_all.php";
    f.submit();
}

// 선택한 게시물 복사 및 이동
function select_copy(sw) {
    var f = document.fboardlist;

    if (sw == "copy")
        str = "복사";
    else
        str = "이동";
                       
    if (!check_confirm(str))
        return;

    var sub_win = window.open("", "move", "left=50, top=50, width=500, height=550, scrollbars=1");

    f.sw.value = sw;
    f.target = "move";
    f.action = "./move.php";
    f.submit();
}
</script>
<? } ?>
<!-- 게시판 목록 끝 -->
